aboutsummaryrefslogtreecommitdiffstats
path: root/Documentation/install-doc-quick.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2007-07-02 22:52:14 -0700
committerJunio C Hamano <gitster@pobox.com>2007-07-02 22:52:14 -0700
commit5be60078c935ed08ee8eb5a32680bdfb6bb5bdf3 (patch)
tree9f68d81a31f8dfe7af6096e7beac2dc0997c143a /Documentation/install-doc-quick.sh
parent36e5e70e0f40cf7ca4351b8159d68f8560a2805f (diff)
downloadgit-5be60078c935ed08ee8eb5a32680bdfb6bb5bdf3.tar.gz
Rewrite "git-frotz" to "git frotz"
This uses the remove-dashes target to replace "git-frotz" to "git frotz". Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'Documentation/install-doc-quick.sh')
-rwxr-xr-xDocumentation/install-doc-quick.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/Documentation/install-doc-quick.sh b/Documentation/install-doc-quick.sh
index a64054948a..e6601bdd82 100755
--- a/Documentation/install-doc-quick.sh
+++ b/Documentation/install-doc-quick.sh
@@ -10,7 +10,7 @@ USAGE='<refname> <target directory>'
export GIT_DIR
test -z "$mandir" && usage
-if ! git-rev-parse --verify "$head^0" >/dev/null; then
+if ! git rev-parse --verify "$head^0" >/dev/null; then
echo >&2 "head: $head does not exist in the current repository"
usage
fi
@@ -18,12 +18,12 @@ fi
GIT_INDEX_FILE=`pwd`/.quick-doc.index
export GIT_INDEX_FILE
rm -f "$GIT_INDEX_FILE"
-git-read-tree $head
-git-checkout-index -a -f --prefix="$mandir"/
+git read-tree $head
+git checkout-index -a -f --prefix="$mandir"/
if test -n "$GZ"; then
cd "$mandir"
- for i in `git-ls-tree -r --name-only $head`
+ for i in `git ls-tree -r --name-only $head`
do
gzip < $i > $i.gz && rm $i
done